;============================================================
; Zelda Punctuation Expansion Patch
; -------------------------------
; v2.0
; by gzip
;============================================================

;============================================================
; Reclaim Punctuation Tiles
; -------------------------
; There are two sets of identical tiles, one for the dash and one for the period
; A third tile is the quote character in the story text
; This hack frees up three tiles.
;============================================================

; Placeholder Graphics
; --------------------
; These graphics clearly mark the two tiles that are freed up
; These can be commented out once the graphics are identified

.PATCH $8DB0 ; 8DB0 Two tiles ($62, $63) worth of data
  .data $00, $00, $00, $00, $00, $00, $00, $81, $42, $24, $18, $18, $24, $42, $81, $81
  .data $42, $24, $18, $18, $24, $42, $81, $81, $42, $24, $18, $18, $24, $42, $81, $10

.PATCH $8EEF ; 8EEF Quote tile ($F8) from story text
  .data $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $81, $42, $24, $18, $18, $24, $42, $81

; Data changes
; ------------
; Swap out the following character codes:
; Dash #$62 becomes #$24
; Period #$63 becomes #$2C
; Quote #$F8 becomes #$2D

; Story Text - replaces quote
.PATCH $1A49D
  .incbin "story_text.bin"

; Credits Text - replaces period
.PATCH $AC6C
  .incbin "credits_text.bin"

; misc dashes and periods, Original code by ShadowOne333
.PATCH 01:87BE  ; 47CE Dash used for shops and secret caves
  .byte $2F
.PATCH 01:89F1  ; 4A01 Dash used for the Money-Making game
  .byte $2F
.PATCH 06:9D0C	; 19D1C Dash for "LEVEL-X" in Dungeons
  .byte $2F
.PATCH 02:9DCD  ; 9DDD Dash and dot for Elimination Mode Character detection
  .byte $2F
  .byte $2C
.PATCH 02:9DD3  ; 9DE3 Elimination Mode dot to question mark
  .byte $2E
.PATCH 06:A119	; 1A129 First dash for "-SELECT-"
  .byte $2F
.PATCH 06:A127	; 1A137 Second dash for "-SELECT-"
  .byte $2F
.PATCH 06:A1DE	; 1A1EE Dash character for Register Name
  .byte $2F
.PATCH 06:A1E0	; 1A1F0 Dot character for Register Name
  .byte $2C
.PATCH 06:A1EA	; 1A1FA Register Name dot to question mark
  .byte $2E
.PATCH 06:A2A1 	; 1A2B1 PPU transfer for more bombs text
  .byte $2F
.PATCH 06:A2A9	; 1A2B9 PPU transfer for money or life
  .byte $2F
.PATCH 06:A2B0	; 1A2C0 PPU transfer for money or life
  .byte $2F
.PATCH 06:A2EF	; 1A2FF First dash for "-LIFE-"
  .byte $2F
.PATCH 06:A2F4	; 1A304 Second dash for "-LIFE-'
  .byte $2F
.PATCH 02:A25F  ; A26F File Select dashes
  .byte $2F
.PATCH 02:AD9D  ; ADAD 2nd Quest Ending dash
  .byte $2F
